enum
{
	// string table definitions
	IDS_GRADIENTTITLE	= 10000,
	IDS_TYPE,
	IDS_U,
	IDS_V,
	IDS_DIAGONAL,
	IDS_RADIAL,
	IDS_CIRCULAR,
	IDS_BOX,
	IDS_STAR,
	IDS_4CORNER,
	IDS_INTERPOLATION,
	IDS_NONE,
	IDS_LINEAR,
	IDS_EXPUP,
	IDS_EXPDOWN,
	IDS_SMOOTH,
	IDS_POSITION,
	IDS_TURBULENCE,
	IDS_OCTAVES,
	IDS_SCALE,
	IDS_FREQ,
	IDS_ABSOLUTE,
	IDS_EXPLOSIONFX,
	IDS_SPHERIZE,
	IDS_ROUNDED_TUBE,
	IDS_TRIANGULATE,
	IDS_ATOM,
	IDS_ATOM_POINT,
	IDS_ATOM_EDGE,
	IDS_CIRCLE,

	// definitions for gradient dialog
	DLG_GRADIENT,
	IDC_GRADIENT,
	IDC_INTERPOL,
	IDC_GRADIENT_COLOR,
	IDC_POSITION,
	IDC_TURBULENCE,
	IDC_OCTAVES,
	IDC_SCALE,
	IDC_FREQ,
	IDC_ABSOLUTE,
	IDC_GRADIENT_PREVIEW,

	// definitions for EXPLOSIONFX dialog
	DLG_EXPLOSIONFX,
	DLG_EXPLOSIONFX_TAB_TIME,
	DLG_EXPLOSIONFX_TAB_EXPLO,
	DLG_EXPLOSIONFX_TAB_FRAG,
	DLG_EXPLOSIONFX_TAB_GRAV,
	DLG_EXPLOSIONFX_TAB_ROT,
	DLG_EXPLOSIONFX_TAB_EXTRA,

	IDC_EXPLOSIONFX_THICKNESS,
	IDC_EXPLOSIONFX_THICKNESS_RANDOM,
	IDC_EXPLOSIONFX_DENSITY,
	IDC_EXPLOSIONFX_DENSITY_RANDOM,
	IDC_EXPLOSIONFX_CLUSTERKIND,
	IDC_EXPLOSIONFX_CLUSTERFIX,
	IDC_EXPLOSIONFX_DISAPPEAR,
	IDC_EXPLOSIONFX_DISAPPEARKIND,
	IDC_EXPLOSIONFX_DISAPPEAR_START,
	IDC_EXPLOSIONFX_DISAPPEAR_DELAY,
	IDC_EXPLOSIONFX_SELECTION,
	IDC_EXPLOSIONFX_OBJECT,

	IDC_EXPLOSIONFX_EXPLOSTRENGTH,
	IDC_EXPLOSIONFX_EXPLOSTRENGTH_FALLOFF,
	IDC_EXPLOSIONFX_EXPLOSTRENGTH_RANDOM,
	IDC_EXPLOSIONFX_EXPLODIRECTION,
	IDC_EXPLOSIONFX_EXPLODIRECTION_RANDOM,
	IDC_EXPLOSIONFX_EXPLOTIME,
	IDC_EXPLOSIONFX_TIME,
	IDC_EXPLOSIONFX_DSPEED,
	IDC_EXPLOSIONFX_DSPEED_FALLOFF,
	IDC_EXPLOSIONFX_DSPEED_RANDOM,
	IDC_EXPLOSIONFX_DMAX_RANGE,
	IDC_EXPLOSIONFX_DMAX_RANGE_RANDOM,

	IDC_EXPLOSIONFX_WSPEED,
	IDC_EXPLOSIONFX_WSPEED_FALLOFF,
	IDC_EXPLOSIONFX_WSPEED_RANDOM,
	IDC_EXPLOSIONFX_ROTACHSE,
	IDC_EXPLOSIONFX_ROTACHSE_RANDOM,

	IDC_EXPLOSIONFX_GRAVITATION,
	IDC_EXPLOSIONFX_GRAVITATION_RANDOM,
	IDC_EXPLOSIONFX_GDIRECTION,
	IDC_EXPLOSIONFX_GMAX_RANGE,
	IDC_EXPLOSIONFX_GMAX_RANGE_RANDOM,

	IDC_EXPLOSIONFX_WINDSPEED,
	IDC_EXPLOSIONFX_WIRBELSPEED,

	IDC_EXPLOSIONFX_TABS,
	IDC_EXPLOSIONFX_REALMODE,

	IDC_EXPLOSIONFX_DISAPPEAR_STARTTXT,
	IDC_EXPLOSIONFX_DISAPPEAR_DELAYTXT,
	IDC_EXPLOSIONFX_DISAPPEAR_GROUP,

	IDC_EXPLOSIONFX_WINDSPEED_RANDOM,
	IDC_EXPLOSIONFX_WIRBELSPEED_RANDOM,

	IDC_EXPLOSIONFX_LINEAR,
	IDC_EXPLOSIONFX_AIR,
	IDC_EXPLOSIONFX_AIR_RANDOM,
	IDC_EXPLOSIONFX_CLUSTER_NAME,
	IDC_EXPLOSIONFX_CLUSTER_MAX_POLYS,
	IDC_EXPLOSIONFX_CLUSTER_MAX_POLY_GROUP,
	IDC_EXPLOSIONFX_CLUSTER_MASK_GROUP,
	IDC_EXPLOSIONFX_CLUSTER_MIN_POLYS,
	IDC_EXPLOSIONFX_CLUSTER_MIN_POLY_GROUP,

	IDC_LOGO,

	// definitions for spherify dialog
	DLG_SPHERIFY,
	IDC_SPHERIFY_RADIUS,
	IDC_SPHERIFY_STRENGTH,

	// definitions for rounded tube dialog
	DLG_ROUNDED_TUBE,
	IDC_TUBE_RAD,
	IDC_TUBE_IRADX,
	IDC_TUBE_IRADY,
	IDC_TUBE_SUB,
	IDC_TUBE_ROUNDRAD,
	IDC_TUBE_ROUNDSUB,
	IDC_TUBE_SEG,
	IDC_TUBE_AXIS,

	// definitions for atom dialog
	DLG_ATOM,
	IDC_ATOM_SRAD,
	IDC_ATOM_CRAD,
	IDC_ATOM_SUB,
	IDC_ATOM_SINGLE,

	// definitions for look at camera dialog
	DLG_LOOKATCAMERA,
	IDC_LOOKATCAMERA,

	// definitions for circle dialog
	DLG_CIRCLE,
	IDC_CIRCLE_RAD,
	IDC_CIRCLE_INTERPOLATION,
	IDC_CIRCLE_SUB,
	IDC_CIRCLE_ANGLE,
	IDC_CIRCLE_PLANE,
	IDC_CIRCLE_REVERSE,

	// definitions for blinker dialog
	DLG_BLINKER,
	IDC_BLINKER_NUMBER,
	IDC_BLINKER_STRENGTH,
	IDC_BLINKER_SOFT,

	IDS_LOOKATCAMERA,
	IDS_LOOKATCAMERAHELP,
	IDS_SIMPLEMATERIAL,
	IDS_PARTICLEVOLUME,
	IDS_MANDELBROT,
	IDS_POWERGRADIENT,
	IDS_BITMAPDISTORTION,
	IDS_BLINKER,
	IDS_GRAVITATION,

	DUMMY_
};
